Page MenuHomePhabricator

Remove support for MediaWiki 1.25 and lower
Closed, ResolvedPublic

Description

The MediaWiki Language Extension Bundle and the extension UniversalLanguageSelector has as minimum requirement MediaWiki version 1.26. The extension UniversalLanguageSelector has still compatibility workarounds for MediaWiki 1.25. These workarounds should get removed.

Event Timeline

Fomafix created this task.Dec 19 2016, 10:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 19 2016, 10:12 AM

ULS has as minimum requirement MediaWiki version 1.26

@Fomafix: Where is that defined? Do you refer to https://www.mediawiki.org/wiki/Extension:UniversalLanguageSelector ?

$:foo\> pwd
/home/foo/git/wikimedia/mediawiki-extensions/UniversalLanguageSelector
$:foo\> grep -r "1\.25" .
./UniversalLanguageSelector.php: die( 'Universal Language Selector extension requires MediaWiki 1.25 or later' );
$:foo\> grep -r "1\.26" .
./UniversalLanguageSelector.hooks.php: * Conditionally register jquery.18n (backwards copatbility for those on pre-MediaWiki 1.26).
./resources/js/ext.uls.interface.js: // Replace with mediawiki.storage when >= MW 1.26
./resources/js/ext.uls.interface.js: // Use oojs-ui-core only after MediaWiki 1.26 is no longer supported

Wondering if this could become an good first bug / GCI task (if knowledge requirements get explained in the task description, plus links provided to resources that allow a new contributor to judge whether they can work on this)?

Fomafix updated the task description. (Show Details)Dec 19 2016, 11:35 AM
Nikerabbit triaged this task as Low priority.Dec 19 2016, 1:45 PM
Nikerabbit added a subscriber: Nikerabbit.

./UniversalLanguageSelector.php: die( 'Universal Language Selector extension requires MediaWiki 1.25 or later' );

At most the version number could be updated or removed, but this is a check for extension registration mechanism, that cannot be removed yet.

./UniversalLanguageSelector.hooks.php: * Conditionally register jquery.18n (backwards copatbility for those on pre-MediaWiki 1.26).

Just removal of some code, after double checking that core 1.26 indeed bundless jquery.i18n.

./resources/js/ext.uls.interface.js: // Replace with mediawiki.storage when >= MW 1.26

Bit more complex change.

./resources/js/ext.uls.interface.js: // Use oojs-ui-core only after MediaWiki 1.26 is no longer supported

Not applicable for this bug.

Change 333368 had a related patch set uploaded (by Fomafix):
Use module 'mediawiki.storage' from core to access localStorage

https://gerrit.wikimedia.org/r/333368

Change 333369 had a related patch set uploaded (by Fomafix):
Remove module 'jquery.i18n'

https://gerrit.wikimedia.org/r/333369

Fomafix claimed this task.Jan 21 2017, 9:06 PM

Change 333369 merged by jenkins-bot:
Remove module 'jquery.i18n'

https://gerrit.wikimedia.org/r/333369

Change 333368 merged by jenkins-bot:
Use module 'mediawiki.storage' from core to access localStorage

https://gerrit.wikimedia.org/r/333368

./UniversalLanguageSelector.php: die( 'Universal Language Selector extension requires MediaWiki 1.25 or later' );

At most the version number could be updated or removed, but this is a check for extension registration mechanism, that cannot be removed yet.

I think it is acceptable to keep the current text here because all other extensions have the same text here.

./UniversalLanguageSelector.hooks.php: * Conditionally register jquery.18n (backwards copatbility for those on pre-MediaWiki 1.26).

Just removal of some code, after double checking that core 1.26 indeed bundless jquery.i18n.

Done in 1312b905f2d7f129b06f37eb7bf274a8b75d7403.

./resources/js/ext.uls.interface.js: // Replace with mediawiki.storage when >= MW 1.26

Bit more complex change.

Done in 3ec9a325a4d90655b25f9cf04c3e1ae1e8efc127.

Fomafix closed this task as Resolved.Apr 6 2017, 12:13 PM

This task is resolved.